class Users::SubjectsController < Users::BaseController
  def index
    subjects = Users::SubjectService.new(observed_user, query_params).call

    @count = subjects.count
    @subjects = paginate(subjects.includes(:user, :repertoire), special: true)
  end

  private

  def query_params
    params.permit(:category, :status, :sort_direction)
  end
end